# Poquita

[![pipeline status](https://git.shore.co.il/nimrod/poquita/badges/master/pipeline.svg)](https://git.shore.co.il/nimrod/poquita/-/commits/master)

> My setup of [Poca](https://github.com/brokkr/poca/).

My setup consists of keeping the subscriptions in git (`poca.xml`), managing
them locally and running the downloader inside a Docker container remotely. The
final part of syncing the downloads is using unison and is managed in my
[rcfiles](https://www.shore.co.il/git/rcfiles) repository.

## Requirements

- Python 3.6
- [Pipenv](https://pipenv.pypa.io/)

## Usage

Adding/ removing/ list/ toggling subscriptions:

```
pipenv run subscribe {add,delete,list,toggle}
```

Deploying a new version:

```
pipenv run build
pipenv run deploy
```

Linting (using [pre-commit](https://pre-commit.com/)):

```
pipenv run lint
```

## License

This software is licensed under the MIT license (see `LICENSE.txt`).

## Author Information

Nimrod Adar, [contact me](mailto:nimrod@shore.co.il) or visit my
[website](https://www.shore.co.il/). Patches are welcome via
[`git send-email`](http://git-scm.com/book/en/v2/Git-Commands-Email). The repository
is located at: <https://git.shore.co.il/expore/>.
